Jersey bundles require jakarta.activation-api to work 53/4153/2
authorjsimomaa <jani.simomaa@gmail.com>
Thu, 16 Apr 2020 20:47:46 +0000 (23:47 +0300)
committerJani Simomaa <jani.simomaa@semantum.fi>
Thu, 16 Apr 2020 20:48:14 +0000 (20:48 +0000)
gitlab #486

Change-Id: I889cce9c365f9f3b158fdc230aa66a213b6e39a4

releng/org.simantics.sdk.build.p2.site/pom.xml

index 96acab029cf20142714039f5ac2fd991e5b05e66..1b94b1134bd3bfde11ef473b34385f2c4d7379a7 100644 (file)
                                              javax.servlet-api,
                                              jakarta.validation.jakarta.validation-api,
                                              jakarta.ws.rs-api,
-                                             jakarta.xml.bind-api
+                                             jakarta.xml.bind-api,
+                                             jakarta.activation-api
                                         </Require-Bundle>
                                         <Import-Package>!javax.*,*;resolution:=optional</Import-Package>
                                         <Export-Package>
                                              javax.servlet-api,
                                              jakarta.validation.jakarta.validation-api,
                                              jakarta.ws.rs-api,
-                                             jakarta.xml.bind-api
+                                             jakarta.xml.bind-api,
+                                             jakarta.activation-api
                                         </Require-Bundle>
                                         <Import-Package>!javax.*,*;resolution:=optional</Import-Package>
                                     </instructions>
                                              javax.servlet-api,
                                              jakarta.validation.jakarta.validation-api,
                                              jakarta.ws.rs-api,
-                                             jakarta.xml.bind-api
+                                             jakarta.xml.bind-api,
+                                             jakarta.activation-api
                                         </Require-Bundle>
                                         <Import-Package>!javax.*,*;resolution:=optional</Import-Package>
                                     </instructions>
                                         <Bundle-Version>${jersey.version.actual}</Bundle-Version>
                                         <Require-Bundle>
                                              jakarta.ws.rs-api,
+                                             jakarta.activation-api,
                                              javax.servlet-api,
                                              org.glassfish.jersey.core.jersey-server
                                         </Require-Bundle>
                                              javax.servlet-api,
                                              jakarta.validation.jakarta.validation-api,
                                              jakarta.ws.rs-api,
-                                             jakarta.xml.bind-api
+                                             jakarta.xml.bind-api,
+                                             jakarta.activation-api
                                         </Require-Bundle>
                                         <Import-Package>!javax.*,*;resolution:=optional</Import-Package>
                                     </instructions>
                                              javax.servlet-api,
                                              jakarta.validation.jakarta.validation-api,
                                              jakarta.ws.rs-api,
-                                             jakarta.xml.bind-api
+                                             jakarta.xml.bind-api,
+                                             jakarta.activation-api
                                         </Require-Bundle>
                                         <Import-Package>!javax.*,*;resolution:=optional</Import-Package>
                                     </instructions>
                                              javax.servlet-api,
                                              jakarta.validation.jakarta.validation-api,
                                              jakarta.ws.rs-api,
-                                             jakarta.xml.bind-api
+                                             jakarta.xml.bind-api,
+                                             jakarta.activation-api
                                         </Require-Bundle>
                                         <Import-Package>!javax.*,*;resolution:=optional</Import-Package>
                                     </instructions>